Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609405 - [abrt] crash in openoffice.org-impress-1:3.1.1-19.32.fc12: __cxxabiv1::__dynamic_cast: Process /usr/lib64/openoffice.org3/program/simpress.bin was killed by signal 11 (SIGSEGV)
[abrt] crash in openoffice.org-impress-1:3.1.1-19.32.fc12: __cxxabiv1::__dyna...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:b9121e08b051a2cd5411fde8c06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 04:34 EDT by Dave Russell
Modified: 2010-07-01 12:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 12:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (92.14 KB, text/plain)
2010-06-30 04:34 EDT, Dave Russell
no flags Details

  None (edit)
Description Dave Russell 2010-06-30 04:34:14 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/simpress.bin -impress file:///home/drussell/Desktop/Cloud%20Strategy%20-%20Presentation.odp
component: openoffice.org
crash_function: __cxxabiv1::__dynamic_cast
executable: /usr/lib64/openoffice.org3/program/simpress.bin
global_uuid: b9121e08b051a2cd5411fde8c061ee94ff0b2e53
kernel: 2.6.32.14-127.fc12.x86_64
package: openoffice.org-impress-1:3.1.1-19.32.fc12
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/simpress.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. slideshow crashed
2.
3.
Comment 1 Dave Russell 2010-06-30 04:34:17 EDT
Created attachment 427905 [details]
File: backtrace
Comment 2 Caolan McNamara 2010-06-30 04:46:32 EDT
Window& rWindow = dynamic_cast< Window& >( rPaintWindow.GetOutputDevice() );

Could obviously use a pointer dynamic_cast and check for NULL, or catch the throw as a local hackaround, but really need to know how we got to this pass. 

Is it reproducible with a particular presentation ?
Comment 3 Dave Russell 2010-07-01 11:29:20 EDT
Unfortunately I have only seen this crash once, and it has been unreproducible even with using the same presentation over 4 days...
Comment 4 Caolan McNamara 2010-07-01 12:08:01 EDT
Crap, I feel the need for a reproducer for this one. Looking closer, I don't think a bandaid of an alternative by pointer cast would even work, it looks less like a cleanly failing dynamic cast with no catch for the throw, but more like a crash trying to dynamic_cast total junk into anything at all

Note You need to log in before you can comment on or make changes to this bug.